//
//  WMShowcaseViewController.m
//  WheelMenu
//
//  Created by Cyril Wei on 8/26/12.
//  Copyright (c) 2012 Cyril Wei. All rights reserved.
//

#import "WMShowcaseViewController.h"
#import "WMWheel.h"

@interface WMShowcaseViewController ()

@end

@implementation WMShowcaseViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        items = [[NSMutableArray alloc] initWithCapacity:4];
        WMWheelItem *item = [[WMWheelItem alloc] init];
        item.angle = -45.0f;
        [items addObject:item];
        [item release];

        item = [[WMWheelItem alloc] init];
        item.angle = -15.0f;
        [items addObject:item];
        [item release];

        item = [[WMWheelItem alloc] init];
        item.angle = 15.0f;
        [items addObject:item];
        [item release];
        
        item = [[WMWheelItem alloc] init];
        item.angle = 45.0f;
        [items addObject:item];
        [item release];

    }
    return self;
}

- (void)dealloc
{
    [items release];
    [super dealloc];
}

- (int)itemsCount
{
    return [items count];
}

- (WMWheelItem *)itemAtIndex:(int)index
{
    return [items objectAtIndex:index];
}

- (void)loadView
{
    UIView *view = [[UIView alloc] initWithFrame:[UIScreen mainScreen].bounds];
    
    view.backgroundColor = [UIColor blackColor];
    self.view = view;
    [view release];
    
    WMWheel *wheel = [[WMWheel alloc] initWithFrame:CGRectMake(0.0f, 0.0f, 200.0f, 748.0f) center:CGPointMake(-13.0f, 748.0f / 2.0f) radius:213.0f];
    wheel.dataSource = self;
    wheel.delegate = self;
    [self.view addSubview:wheel];
    [wheel release];
}

- (void)wheel:(WMWheel *)wheel didRotateToItemAtIndex:(NSNumber *)index
{
    NSLog(@"---------Selected: %d", index.intValue);
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return UIInterfaceOrientationIsLandscape(interfaceOrientation);
}

@end
